package nckd.jxccl.swc.init.plugin.other;

import kd.bos.context.RequestContext;
import kd.bos.exception.KDException;
import kd.bos.logging.Log;
import kd.bos.logging.LogFactory;
import kd.bos.schedule.executor.AbstractTask;
import kd.sdk.plugin.Plugin;
import nckd.jxccl.swc.init.business.SynPendingSalaryAdjDataServiceImpl;

import java.util.Map;

/**
 * 人事那边做完调动后，判断调动后岗位的【薪酬标准方案】为“江铜集团岗位绩效工资制”的，更新定调薪人员名单列表
 * 单据包含入职单，调动单，自动更新员工待定调薪清单
 * @author: turborao
 * @date: 2025/11/20 16:05
 */
public class PendingSalaryAdjTask extends AbstractTask implements Plugin {
    private static final Log logger = LogFactory.getLog(PendingSalaryAdjTask.class);

    @Override
    public void execute(RequestContext requestContext, Map<String, Object> map) throws KDException {
        SynPendingSalaryAdjDataServiceImpl service = new SynPendingSalaryAdjDataServiceImpl();
        String msg  = service.SynPendingSalaryAdjDataForPersonTransfer();

        logger.info("员工待定调薪清单生成任务，信息：" + msg);
    }
}